#2750 closed defect (fixed)

Compile Error When Multiprocessing Enabled

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This should impact every BSP with multiprocessing enabled but I saw it on the sparc/leon3 and powerpc/psim

../../cpukit/../../../psim/lib/include/rtems/score/basedefs.h:229:5: error: static assertion failed: "Message_queue_MP_Packet"

_Static_assert(cond, # msg)

../../../../../../rtems/c/src/../../cpukit/rtems/src/msgmp.c:28:1: note: in expansion of macro 'RTEMS_STATIC_ASSERT'

RTEMS_STATIC_ASSERT(

Change History (3)

comment:1 Changed on Jul 1, 2016 at 9:59:05 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 4cb13c399827a39a9108a631e6afddf6d96de60c/rtems:

score: Fix MPCI message layout

Restore the 32-bit priority field in MP_packet_Prefix.

Bug introduced by 254dc82daf8cbd6922376fcbb81c31e21cbf4d16.

Close #2750.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.